Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxNpeA_NpePacketDescriptor Struct Reference [IXP425 NPE-A (IxNpeA) API] HSS Packetized NpePacket Descriptor Structure. More...
## Data Fields
UINT8 | status
| Status of the packet passed to the client.
UINT8 | errorCount
| Number of errors.
UINT8 | chainCount
| Mbuf chain count e.g.
UINT8 | rsvdByte0
| Reserved byte to make the descriptor word align.
UINT16 | packetLength
| Packet Length.
UINT16 | rsvdShort0
| Reserved short to make the descriptor a word align.
IX_MBUF * | pRootMbuf
| Pointer to Root mbuf.
IX_MBUF * | pNextMbuf
| Pointer to next mbuf.
UINT8 * | pMbufData
| Pointer to the current mbuf->data.
UINT32 | mbufLength
| Current mbuf length.
## Detailed Description HSS Packetized NpePacket Descriptor Structure. Definition at line 1080 of file IxNpeA.h. ## Field Documentation
UINT8 IxNpeA_NpePacketDescriptor::chainCount
| Mbuf chain count e.g. 0 - No mbuf chain Definition at line 1084 of file IxNpeA.h.
UINT8 IxNpeA_NpePacketDescriptor::errorCount
| Number of errors. Definition at line 1083 of file IxNpeA.h.
UINT32 IxNpeA_NpePacketDescriptor::mbufLength
| Current mbuf length. Definition at line 1093 of file IxNpeA.h.
UINT16 IxNpeA_NpePacketDescriptor::packetLength
| Packet Length. Definition at line 1087 of file IxNpeA.h.
UINT8* IxNpeA_NpePacketDescriptor::pMbufData
| Pointer to the current mbuf->data. Definition at line 1092 of file IxNpeA.h.
IX_MBUF* IxNpeA_NpePacketDescriptor::pNextMbuf
| Pointer to next mbuf. Definition at line 1091 of file IxNpeA.h.
IX_MBUF* IxNpeA_NpePacketDescriptor::pRootMbuf
| Pointer to Root mbuf. Definition at line 1090 of file IxNpeA.h.
UINT8 IxNpeA_NpePacketDescriptor::rsvdByte0
| Reserved byte to make the descriptor word align. Definition at line 1085 of file IxNpeA.h.
UINT16 IxNpeA_NpePacketDescriptor::rsvdShort0
| Reserved short to make the descriptor a word align. Definition at line 1088 of file IxNpeA.h.
UINT8 IxNpeA_NpePacketDescriptor::status
| Status of the packet passed to the client. Definition at line 1082 of file IxNpeA.h.
The documentation for this struct was generated from the following file: IxNpeA.h
Automatically generated from sources. © Intel Corp. 2003